Package be.fgov.ehealth.commons.core.v1

# Class MunicipalityType

java.lang.Object
be.fgov.ehealth.commons.core.v1.MunicipalityType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:23+02:00", comments="JAXB RI v4.0.5") public class MunicipalityType extends Object implements Serializable
Localized name for municipality.

Java class for MunicipalityType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MunicipalityType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ZipCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="InsCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Description" type="{urn:be:fgov:ehealth:commons:core:v1}LocalisedString" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MunicipalityType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<LocalisedString>`
  `getDescriptions()`
  Gets the value of the descriptions property.
  `String`
  `getInsCode()`
  Gets the value of the insCode property.
  `String`
  `getZipCode()`
  Gets the value of the zipCode property.
  `void`
  `setInsCode(String value)`
  Sets the value of the insCode property.
  `void`
  `setZipCode(String value)`
  Sets the value of the zipCode property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MunicipalityType

    public MunicipalityType()

- ## Method Details

  - ### getZipCode

    public String getZipCode()
    Gets the value of the zipCode property.
    Returns:
      possible object is `String`

  - ### setZipCode

    public void setZipCode(String value)
    Sets the value of the zipCode property.
    Parameters:
      `value` - allowed object is `String`

  - ### getInsCode

    public String getInsCode()
    Gets the value of the insCode property.
    Returns:
      possible object is `String`

  - ### setInsCode

    public void setInsCode(String value)
    Sets the value of the insCode property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDescriptions

    public List<LocalisedString> getDescriptions()
    Gets the value of the descriptions property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the descriptions property.

    For example, to add a new item, do as follows:

         getDescriptions().add(newItem);

    Objects of the following type(s) are allowed in the list `LocalisedString`

    Returns:
      The value of the descriptions property.